package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.Mxglpz;

/**
 * 模型关联配置Service接口
 * 
 * @author ruoyi
 * @date 2025-09-29
 */
public interface IMxglpzService 
{
    /**
     * 查询模型关联配置
     * 
     * @param id 模型关联配置主键
     * @return 模型关联配置
     */
    public Mxglpz selectMxglpzById(Long id);

    /**
     * 查询模型关联配置列表
     * 
     * @param mxglpz 模型关联配置
     * @return 模型关联配置集合
     */
    public List<Mxglpz> selectMxglpzList(Mxglpz mxglpz);

    /**
     * 新增模型关联配置
     * 
     * @param mxglpz 模型关联配置
     * @return 结果
     */
    public int insertMxglpz(Mxglpz mxglpz);

    /**
     * 修改模型关联配置
     * 
     * @param mxglpz 模型关联配置
     * @return 结果
     */
    public int updateMxglpz(Mxglpz mxglpz);

    /**
     * 批量删除模型关联配置
     * 
     * @param ids 需要删除的模型关联配置主键集合
     * @return 结果
     */
    public int deleteMxglpzByIds(Long[] ids);

    /**
     * 删除模型关联配置信息
     * 
     * @param id 模型关联配置主键
     * @return 结果
     */
    public int deleteMxglpzById(Long id);
}
